<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>com.sk89q.worldedit.function.mask (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit.function.mask (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/generator/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/operation/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/mask/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.sk89q.worldedit.function.mask</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a></td>
<td class="colLast">
<div class="block">Tests whether a given vector meets a criteria.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/Mask2D.html" title="interface in com.sk89q.worldedit.function.mask">Mask2D</a></td>
<td class="colLast">
<div class="block">Tests whether a given vector meets a criteria.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/AbstractExtentMask.html" title="class in com.sk89q.worldedit.function.mask">AbstractExtentMask</a></td>
<td class="colLast">
<div class="block">An abstract implementation of <a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask"><code>Mask</code></a> that takes uses an <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><code>Extent</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/AbstractMask.html" title="class in com.sk89q.worldedit.function.mask">AbstractMask</a></td>
<td class="colLast">
<div class="block">A base class of <a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask"><code>Mask</code></a> that all masks should inherit from.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/AbstractMask2D.html" title="class in com.sk89q.worldedit.function.mask">AbstractMask2D</a></td>
<td class="colLast">
<div class="block">A base class of <a href="../../../../../com/sk89q/worldedit/function/mask/Mask2D.html" title="interface in com.sk89q.worldedit.function.mask"><code>Mask2D</code></a> that all masks should inherit from.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/BiomeMask2D.html" title="class in com.sk89q.worldedit.function.mask">BiomeMask2D</a></td>
<td class="colLast">
<div class="block">Tests true if the biome at applied points is the same as the one given.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/BlockCategoryMask.html" title="class in com.sk89q.worldedit.function.mask">BlockCategoryMask</a></td>
<td class="colLast">
<div class="block">A mask that tests whether a block matches a given <a href="../../../../../com/sk89q/worldedit/world/block/BlockCategory.html" title="class in com.sk89q.worldedit.world.block"><code>BlockCategory</code></a>, or tag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/BlockMask.html" title="class in com.sk89q.worldedit.function.mask">BlockMask</a></td>
<td class="colLast">
<div class="block">A mask that checks whether blocks at the given positions are matched by
 a block in a list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/BlockStateMask.html" title="class in com.sk89q.worldedit.function.mask">BlockStateMask</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/BlockTypeMask.html" title="class in com.sk89q.worldedit.function.mask">BlockTypeMask</a></td>
<td class="colLast">
<div class="block">A mask that checks whether blocks at the given positions are matched by
 a block in a list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/BoundedHeightMask.html" title="class in com.sk89q.worldedit.function.mask">BoundedHeightMask</a></td>
<td class="colLast">
<div class="block">Has the criteria where the Y value of passed positions must be within
 a certain range of Y values (inclusive).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/ExistingBlockMask.html" title="class in com.sk89q.worldedit.function.mask">ExistingBlockMask</a></td>
<td class="colLast">
<div class="block">A mask that returns true whenever the block at the location is not
 an air block (it contains some other block).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/ExpressionMask.html" title="class in com.sk89q.worldedit.function.mask">ExpressionMask</a></td>
<td class="colLast">
<div class="block">A mask that evaluates an expression.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/ExpressionMask2D.html" title="class in com.sk89q.worldedit.function.mask">ExpressionMask2D</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/MaskIntersection.html" title="class in com.sk89q.worldedit.function.mask">MaskIntersection</a></td>
<td class="colLast">
<div class="block">Combines several masks and requires that all masks return true
 when a certain position is tested.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/MaskIntersection2D.html" title="class in com.sk89q.worldedit.function.mask">MaskIntersection2D</a></td>
<td class="colLast">
<div class="block">Tests true if all contained masks test true.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/Masks.html" title="class in com.sk89q.worldedit.function.mask">Masks</a></td>
<td class="colLast">
<div class="block">Various utility functions related to <a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask"><code>Mask</code></a> and <a href="../../../../../com/sk89q/worldedit/function/mask/Mask2D.html" title="interface in com.sk89q.worldedit.function.mask"><code>Mask2D</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/MaskUnion.html" title="class in com.sk89q.worldedit.function.mask">MaskUnion</a></td>
<td class="colLast">
<div class="block">Combines several masks and requires that one or more masks return true
 when a certain position is tested.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/MaskUnion2D.html" title="class in com.sk89q.worldedit.function.mask">MaskUnion2D</a></td>
<td class="colLast">
<div class="block">Tests true if any contained mask is true, even if it just one.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/NoiseFilter.html" title="class in com.sk89q.worldedit.function.mask">NoiseFilter</a></td>
<td class="colLast">
<div class="block">A mask that uses a noise generator and returns true whenever the noise
 generator returns a value above the given density.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/NoiseFilter2D.html" title="class in com.sk89q.worldedit.function.mask">NoiseFilter2D</a></td>
<td class="colLast">
<div class="block">A mask that uses a noise generator and returns true whenever the noise
 generator returns a value above the given density.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/OffsetMask.html" title="class in com.sk89q.worldedit.function.mask">OffsetMask</a></td>
<td class="colLast">
<div class="block">Checks whether another mask tests true for a position that is offset
 a given vector.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/OffsetMask2D.html" title="class in com.sk89q.worldedit.function.mask">OffsetMask2D</a></td>
<td class="colLast">
<div class="block">Checks whether another mask tests true for a position that is offset
 a given vector.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/RegionMask.html" title="class in com.sk89q.worldedit.function.mask">RegionMask</a></td>
<td class="colLast">
<div class="block">A mask that tests whether given positions are contained within a region.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/mask/SolidBlockMask.html" title="class in com.sk89q.worldedit.function.mask">SolidBlockMask</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/generator/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/operation/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/mask/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
